com.genesyslab.wfm8.API.service.calendar851

## Class CalValidationHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar851.CalValidationHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CalValidationHolder
      extends java.lang.Object
      implements java.io.Serializable

  Calendar validation holder contains errors and warnings
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `errorArraySize` Error array size
    `protected java.util.List<CalItemError>` | `errors` Calendar errors
    `private static long` | `serialVersionUID`
    `protected int` | `warningArraySize` Warning array size
    `protected java.util.List<CalItemWarning>` | `warnings` Calendar warnings

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalValidationHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getErrorArraySize()` Gets the errorArraySize value for this CalValidationHolder.
    `java.util.List<CalItemError>` | `getErrors()` Gets the errors value for this CalValidationHolder.
    `int` | `getWarningArraySize()` Gets the warningArraySize value for this CalValidationHolder.
    `java.util.List<CalItemWarning>` | `getWarnings()` Gets the warnings value for this CalValidationHolder.
    `int` | `hashCode()`
    `void` | `setErrorArraySize(int errorArraySize)` Sets the errorArraySize value for this CalValidationHolder.
    `void` | `setErrors(java.util.List<CalItemError> errors)` Sets the errors value for this CalValidationHolder.
    `void` | `setWarningArraySize(int warningArraySize)` Sets the warningArraySize value for this CalValidationHolder.
    `void` | `setWarnings(java.util.List<CalItemWarning> warnings)` Sets the warnings value for this CalValidationHolder.
    `java.lang.String` | `toString()`
    `CalValidationHolder` | `withErrorArraySize(int value)`
    `CalValidationHolder` | `withErrors(CalItemError... values)`
    `CalValidationHolder` | `withErrors(java.util.Collection<CalItemError> values)`
    `CalValidationHolder` | `withWarningArraySize(int value)`
    `CalValidationHolder` | `withWarnings(CalItemWarning... values)`
    `CalValidationHolder` | `withWarnings(java.util.Collection<CalItemWarning> values)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### errorArraySize

          protected int errorArraySize

      Error array size

    - #### errors

          protected java.util.List<CalItemError> errors

      Calendar errors

    - #### warningArraySize

          protected int warningArraySize

      Warning array size

    - #### warnings

          protected java.util.List<CalItemWarning> warnings

      Calendar warnings

  - ### Constructor Detail

    - #### CalValidationHolder

          public CalValidationHolder()

  - ### Method Detail

    - #### getErrorArraySize

          public int getErrorArraySize()

      Gets the errorArraySize value for this CalValidationHolder.
      Returns:
        errorArraySize

    - #### setErrorArraySize

          public void setErrorArraySize(int errorArraySize)

      Sets the errorArraySize value for this CalValidationHolder.
      Parameters:
        `errorArraySize` -

    - #### getErrors

          public java.util.List<CalItemError> getErrors()

      Gets the errors value for this CalValidationHolder.
      Returns:
        errors

    - #### setErrors

          public void setErrors(java.util.List<CalItemError> errors)

      Sets the errors value for this CalValidationHolder.
      Parameters:
        `errors` -

    - #### getWarningArraySize

          public int getWarningArraySize()

      Gets the warningArraySize value for this CalValidationHolder.
      Returns:
        warningArraySize

    - #### setWarningArraySize

          public void setWarningArraySize(int warningArraySize)

      Sets the warningArraySize value for this CalValidationHolder.
      Parameters:
        `warningArraySize` -

    - #### getWarnings

          public java.util.List<CalItemWarning> getWarnings()

      Gets the warnings value for this CalValidationHolder.
      Returns:
        warnings

    - #### setWarnings

          public void setWarnings(java.util.List<CalItemWarning> warnings)

      Sets the warnings value for this CalValidationHolder.
      Parameters:
        `warnings` -

    - #### withErrors

          public CalValidationHolder withErrors(java.util.Collection<CalItemError> values)

    - #### withErrors

          public CalValidationHolder withErrors(CalItemError... values)

    - #### withErrorArraySize

          public CalValidationHolder withErrorArraySize(int value)

    - #### withWarnings

          public CalValidationHolder withWarnings(java.util.Collection<CalItemWarning> values)

    - #### withWarnings

          public CalValidationHolder withWarnings(CalItemWarning... values)

    - #### withWarningArraySize

          public CalValidationHolder withWarningArraySize(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.